Woozie

P3D v4.5 HF1 - addon compatibility list

Recommended Posts

Posted (edited)

The eagerly awaited HF (at least by those who have performance issues since 4.5) has been released and we are all wondering if addon XYZ works without requiring to be updated. The P3D changelog doesnt indicate any major addon-breaking changes, but many addons will query the P3D version and refuse to run if the version has changed unless the addon receives an update. 

Please use this thread to list all 3rd party addons and their (known) compatibility with HF1. It would make sense to add a tag, based on where that information is coming from. My suggestion:

[DEV] from official sources

[USER] if tested by a community member (meaning "it looks like its more or less working")

As its not possible to edit the OP after a certain time (would be helpful to consolidate the information in the first post, perhaps a mod can help or give me permanent editing right for this OP?), please keep discussions to a minimum to prevent cluttering

So here's my first contribution:

FSLabs Airbus A320 & A319  [DEV] not compatible - requires update / no ETA yet

 

Edited by Woozie
  • Upvote 2

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

ChasePlane has just pushed an update v1.0.39 Support for Prepar3D v4.5.12.30293

  • Like 1

Share this post


Link to post

Active Sky beta was pushed yesterday with "4.5 compatibility", so I assume that was for this update.

Share this post


Link to post

To my testing, WX Advantage Weather Radar and ENVSHADE are not compatible. 

Share this post


Link to post

Can anyone confirm if Tomatoshade works? 

Share this post


Link to post

fslabs negative

Share this post


Link to post
Posted (edited)

REX Sky Force and Environment Force seem to work fine. Same for FSUIPC.

Edited by Daedalus

Share this post


Link to post

F1 GTN updater up-dates to 4.5.12.30293

bob

  • Like 1

Share this post


Link to post

PSXseeconTraffic works without a change.

Nico

Share this post


Link to post
Posted (edited)

FFTF Dynamic is not compatible..

RXP GTN is not compatible..

 

 

Edited by Bert Pieke
  • Like 1

Share this post


Link to post
Posted (edited)

ENVSHADE is now compatible. [DEV]

Maxime from TOGA told me on the forums that the patch has been sent to simmarket and is already available through the Envupdater. 

UPDATE: I updated to the new version but still get an error message for version incompatibility. I wait for further response from Maxime. 

Edited by Daedalus
  • Upvote 1

Share this post


Link to post

Fly the Maddog X

 

works fine👌

  • Like 6

Share this post


Link to post

REX Environment Force does work but it is the same issue with the brightness level again, as with the release. At least I cant get it to work. The night is completely bright. The poor guys from REX. Just when they had a fix. LH screwed them over with a hot fix.

Share this post


Link to post
20 minutes ago, Rasterfahnder said:

REX Environment Force does work but it is the same issue with the brightness level again, as with the release. At least I cant get it to work. The night is completely bright. The poor guys from REX. Just when they had a fix. LH screwed them over with a hot fix.

I'm still waiting for them to update the weather radar...that was never even updated for the previous P3Dv4.5 release from over a month ago.

  • Upvote 1

Share this post


Link to post

Well done for the thread. Thanks 

Share this post


Link to post

I'd imagine this thread will get pretty long, quickly. Would be helpful if the reports are summarized in the original post so users looking for info don't have to search down the thread.

 

Thanks,

Chris

  • Upvote 1

Share this post


Link to post
3 minutes ago, truthknown said:

I'd imagine this thread will get pretty long, quickly. Would be helpful if the reports are summarized in the original post so users looking for info don't have to search down the thread.

 

Thanks,

Chris

This is the OP's original idea, but he needs the cooperation of the mods to do it.

Share this post


Link to post

You can add my freeware to the list.. 😉

S.

  • Like 1

Share this post


Link to post

Excellent, HF1 is not even 24 hours old and many addons have already been updated or are still working. Seems like the changes were so minor that most simply needed an updated version check. 

 

PMDG's 737, 777 and 747 all seem to be working, but no official word yet [USER]

Share this post


Link to post
2 hours ago, Nickbe said:

[DEV] Ezdok Software

New build EZCA 3.0.1.68 (and EZCA 2.8.2) - already undergoing internal testing. Added support for P3D4.5(hotfix1) and ActiveSky 7070.
Most likely, tomorrow this versions will be on the Flight1 forum https://www.simforums.com/forums/ezdok-beta-forum_forum40.html.

Awesome!

Share this post


Link to post
Posted (edited)

QW787 Ext power and doors pop up does not work.  At least for me.  pop up works but when clicking on ext power it does not connect and turn green, yes brake is on.

 

Darcy

Edited by Darcy

Share this post


Link to post

VertX DA-62 G1000 map display not working correctly, especially at larger zoom settings.

Share this post


Link to post

It's really starting to look like the "Not Working" pool is getting deep. Shame.

Share this post


Link to post
5 hours ago, somiller said:

It's really starting to look like the "Not Working" pool is getting deep. Shame.

It's only been a day. 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now